Name: libosip2
Summary: The GNU oSIP library
Version: 3.1.0
Release: alt1
License: LGPL
Group: System/Libraries
Url: http://www.gnu.org/software/osip/osip.html

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: http://ftp.gnu.org/gnu/osip/%name-%version.tar.gz

Patch0: libosip2-3.0.3-alt-link.patch
Patch2: libosip2-3.1.0-alt-configure.patch

BuildRequires: doxygen docbook-utils gcc-c++

%description
This is "the GNU oSIP library". It has been designed to provide
the Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package devel
Summary: The GNU oSIP library - development files
Group: System/Libraries
Requires: %name = %version-%release

%description devel
Development files for the GNU oSIP library.

%package static
Summary: The GNU oSIP library - static version
Group: System/Libraries
Requires: %name-devel = %version-%release

%description static
Static version of the GNU oSIP library.

%def_disable static

%prep
%setup -q

%patch0 -p1
%patch2 -p1

%build
%autoreconf
%configure \
	--enable-pthread \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc AUTHORS BUGS NEWS README TODO
%_libdir/lib*.so.*

%files devel
%_includedir/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Mon Apr 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.1.0-alt1
- 3.1.0

* Fri Dec 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.0.3-alt3
- fixed build with new auto*

* Sat Oct 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.0.3-alt2
- drop MD5 functions (close #13086)

* Wed Aug 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.0.3-alt1
- 3.0.3

* Wed Jan 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1-alt1
- 3.0.1:
  + Fix memory leaks (not likely to happen).
  + Fix buffer overrun in url.

* Sat Sep 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Jun 29 2004 Gor <vg@altlinux.ru> 2.0.8-alt1
- try to package for Sisyphus

